@echo off
ECHO Deleting previously generated validation reports, if any...
del *.xml

ECHO Processing examples in ..\XML
ECHO Processing bond-options
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/bond-options/*.xml
ECHO Processing commodity-derivatives
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/commodity-derivatives/*.xml
ECHO Processing correlation-swaps
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/correlation-swaps/*.xml
ECHO Processing credit-derivatives
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/credit-derivatives/*.xml
ECHO Processing dividend-swaps
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/dividend-swaps/*.xml
ECHO Processing equity-forwards
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/equity-forwards/*.xml
ECHO Processing equity-options
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/equity-options/*.xml
ECHO Processing equity-swaps
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/equity-swaps/*.xml
ECHO Processing fx-derivatives
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/fx-derivatives/*.xml
ECHO Processing inflation-swaps
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/inflation-swaps/*.xml
ECHO Processing interest-rate-derivatives
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/interest-rate-derivatives/*.xml
ECHO Processing loan
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/loan/*.xml
ECHO Processing total-return-swaps
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/total-return-swaps/*.xml
ECHO Processing validation/invalid-testcases
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/validation/invalid-testcases/*.xml
ECHO Processing validation/valid-testcases
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/validation/valid-testcases/*.xml
ECHO Processing valuation
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/valuation/*.xml
ECHO Processing variance-swaps
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/variance-swaps/*.xml
ECHO Processing messaging
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/messaging/*.xml
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/messaging/allocations/*.xml
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/messaging/amendments/*.xml
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/messaging/cash-flow-matching/*.xml
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/messaging/confirmations/*.xml
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/messaging/contract-notifications/*.xml
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/messaging/increases/*.xml
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/messaging/novations/*.xml
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/messaging/party-roles/*.xml
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/messaging/portfolio-reconciliation/*.xml
java -cp lib\handcoded.jar;lib\xml-apis.jar;lib\xercesimpl.jar demo.com.handcoded.fpml.ValidateXMLFormattedOutput -schemaOnly ../xml/confirmation/messaging/terminations/*.xml
